package com.game.common.constant.finance;

import com.game.common.constant.AppSceneType;

public class FinTranAddedInfo {

	/**
	 * (礼物、守护、坐骑、靓号、短视频、动态、svpi、贵族、游戏)ID
	 */
	public long proId;
	/**
	 * (礼物、守护、坐骑、靓号、短视频、动态、svpi、贵族、游戏)数量
	 */
	public Integer proCount;
	/**
	 * 第三表记录id（如：支付记录表id，提现记录表id，游戏记录id）
	 */
	public long orderId;
	/**
	 * 消费日志ID（此记录关联的购买的商品的ID）
	 */
	public long goodsId;

	/**
	 * 场景id（视频直播房间id，语音直播房间id，一对一直播房间id）
	 */
	public long sceneId1;

	/**
	 * 直播房间类型(1.视频直播房间，2.语音直播房间，3.一对一直播房间，7.私聊，8.群聊，9.短视频)
	 */
	public Integer sceneType;
	/**
	 * 某次直播时间段内的一个标识
	 */
	public String sceneId2;

	/**
	 * 备注；翻译前端消费记录中的语言
	 */
	public String remarks;


	public long getProId() {
		return proId;
	}

	public void setProId(long proId) {
		this.proId = proId;
	}

	public int getProCount() {
		return proCount;
	}

	public void setProCount(int proCount) {
		this.proCount = proCount;
	}

	public long getOrderId() {
		return orderId;
	}

	public void setOrderId(long orderId) {
		this.orderId = orderId;
	}

	public long getGoodsId() {
		return goodsId;
	}

	public void setGoodsId(long goodsId) {
		this.goodsId = goodsId;
	}

	public long getSceneId1() {
		return sceneId1;
	}

	public void setSceneId1(long sceneId1) {
		this.sceneId1 = sceneId1;
	}

	public int getSceneType() {
		return sceneType;
	}

	public void setSceneType(int sceneType) {
		this.sceneType = sceneType;
	}

	public String getSceneId2() {
		return sceneId2;
	}

	public void setSceneId2(String sceneId2) {
		this.sceneId2 = sceneId2;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	/**
	 *
	 * @param proId             (礼物、守护、坐骑、靓号、短视频、动态、svpi、贵族、游戏)ID
	 * @param proCount          (礼物、守护、坐骑、靓号、短视频、动态、svpi、贵族、游戏)数量
	 * @param sceneId1          场景id（视频直播房间id，语音直播房间id，一对一直播房间id）
	 * @param sceneType         直播房间类型(视频直播房间，语音直播房间，一对一直播房间)
	 * @param sceneId2         某次直播时间段内的一个标识
	 * @return
	 */
	public static FinTranAddedInfo createTranInfo(long proId, int proCount, long sceneId1, AppSceneType sceneType, String sceneId2) {
		FinTranAddedInfo tranInfo = new FinTranAddedInfo();
		tranInfo.proId = proId;
		tranInfo.proCount = proCount;
		tranInfo.sceneId1 = sceneId1;
		tranInfo.sceneType = sceneType.getType();
		tranInfo.sceneId2 = sceneId2;
		return tranInfo;
	}
}
